Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class JEVersion

    java.lang.Object
      com.sleepycat.je.JEVersion

    public class JEVersion

extends Object

Berkeley DB Java Edition version information. Versions consist of major, minor and patch numbers. There is one JEVersion object per running JVM and it may be accessed using the static field JEVersion.CURRENT_VERSION.

Field Summary
`static JEVersion` | `CURRENT_VERSION` Release version.

Method Summary
`int` | `getMajor()` Major number of the release version.
`int` | `getMinor()` Minor number of the release version.
`String` | `getNumericVersionString()` The numeric version string, without the patch tag.
`int` | `getPatch()` Patch number of the release version.
`String` | `getVersionString()` Release version, suitable for display.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CURRENT_VERSION

    public static final JEVersion CURRENT_VERSION

  Release version.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMajor

    public int getMajor()

  Major number of the release version.

  Returns:
    The major number of the release version.

### getMinor

    public int getMinor()

  Minor number of the release version.

  Returns:
    The minor number of the release version.

### getPatch

    public int getPatch()

  Patch number of the release version.

  Returns:
    The patch number of the release version.

### getNumericVersionString

    public String getNumericVersionString()

  The numeric version string, without the patch tag.

  Returns:
    The release version

### getVersionString

    public String getVersionString()

  Release version, suitable for display.

  Returns:
    The release version, suitable for display.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.